「vue –version」を実行すると「zsh: command not found: vue」と表示されたときの対処方法

vueを使いたくてvue cliを以下のコマンドでインストールしました。

npm install -g @vue/cli

ちゃんとインストールされているかを確認するためにバージョン情報を確認したところ、以下のような結果になりました。

vue --version

zsh: command not found: vue

対処方法

いろいろ対処方法を試したのですが、以下のコマンドを実行することで解決しました。

export PATH=$PATH:/Users/[username]/.npm-global/bin
[username]を自分の名前に変更して実行してみてください。

vue --version

@vue/cli 4.5.14

無事にパスが通りました。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

CAPTCHA